# QFutureIterator Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QFutureIterator(QFuture container)

### Constructor Properties

- prototype: The QFutureIterator prototype object

### Prototype Object Properties

- bool hasNext()
- bool hasPrevious()
- void toBack()
- void toFront()

### Instance Properties

QFutureIterator objects have no special properties beyond those inherited from the QFutureIterator prototype object.